SSS_SSH_AUTHORIZEDKE(1)

NAME
sss_ssh_authorizedkeys - obtiene las claves OpenSSH autorizadas

SYNOPSIS

sss_ssh_authorizedkeys [options] USER

DESCRIPCION

sss_ssh_authorizedkeys adquiere la clave pública SSH para el usuario USER y las saca en formato de claves autorizadas OpenSSH (vea la sección “AUTHORIZED_KEYS FILE FORMAT” de sshd(8) para más información).

sshd(8) puede ser configurado para usar sss_ssh_authorizedkeys para autenticación de la clave pública del usuario si está compilado para soporte de “AuthorizedKeysCommand” o de “PubkeyAgent”sshd_config(5) options.

Si se soporta “AuthorizedKeysCommand”, sshd(8) puede ser configurado para usarlo poniendo la siguiente directiva en sshd_config(5):

    AuthorizedKeysCommand /usr/bin/sss_ssh_authorizedkeys

Si se soporta “PubkeyAgent”, sshd(8) puede ser configurado para usarlo utilizando la siguiente directiva para sshd(8) configuration:

    PubKeyAgent /usr/bin/sss_ssh_authorizedkeys %u

OPCIONES

-d,--domain DOMINIO
    Busca las claves públicas del usuario en el dominio SSSD DOMAIN.

-?,--help
    Muestra mensaje de ayuda y sale.

EXIT STATUS

In case of success, an exit value of 0 is returned. Otherwise, 1 is returned.

VEA TAMBIEN

sssd(8), sssd.conf(5), sssd-ldap(5), sssd-krb5(5), sssd-simple(5), sssd-ipa(5), sssd-ad(5), sssd-sudo(5),sss_cache(8), sss_debuglevel(8), sss_groupadd(8), sss_groupdel(8), sss_groupshow(8), sss_groupmod(8), sss_useradd(8), sss_userdel(8), sss_usermod(8), sss_obfuscate(8), sss_seed(8), sssd_krb5_locator_plugin(8), sss_ssh_authorizedkeys(8), sss_ssh_knownhostsproxy(8),sssd-ifp(5),pam_sss(8). sss_rpcidmapd(5)

AUTHORS

The SSSD upstream - http://fedorahosted.org/sssd